VTPRTOFF(1)

NAME
vtprtoff,vtprton - turn off or on printer attached to local terminal

SYNOPSIS
vtprtoff [ -dDeEhlqQNtvw ] [ -L vtprintcap ] [ -T termtype ] [ -V device ]

vtprton [ -dDeEhlqQNtvw ] [ -L vtprintcap ] [ -T termtype ] [ -V device ]

DESCRIPTION
vtprtoff is a simple program that turns off (or on) redirection of ASCII text to a printer connected to a terminal or terminal emulator. It uses terminal escape sequences to achieve this end.

OPTIONS

-d  Use the tty device file instead of stdout for output. This is defined as /dev/tty on this system. (This is operating system specific and may vary from system to system.)

-D  Use the stdout stream for output, rather than a tty device file.

-e  Forces vtprtoff to ignore the TERM environment variable and use the builtin control codes instead.

-E  Undoes the effect of the -e option, which allows vtprtoff to attempt to find an entry in /etc/vtprintcap for the TERM value and use the corresponding control codes.

-h  Print out a simple usage message.

-l  Print out the license agreement.

-L vtprintcap
    Specifies an alternate file to use instead of /etc/vtprintcap.

-q  Quiet mode. Suppress various status messages from being displayed.

-Q  Cancels the effect of the -q option, allowing normal progress reporting to occur.

-t  Force the use of the TERM variable to perform a look up of the control sequences to be used in /etc/vtprintcap. If an entry in that file can't be found, vtprtoff will abort with an error.

-T termtype
    Use the value of termtype instead of the value of the TERM environment variable when performing lookups in /etc/vtprintcap.

-v  Display version information.

-V device
    Specifies an alternate device file instead of /dev/tty to use.

-w  Display important warranty waiver information. NO WARRANTY!

ENVIRONMENT

TERM
    the type of the terminal vtprtoff will assume is being used.

VTPRINT
    string of options to be used by vtprtoff.

AUTHOR
vtprtoff was written by Garrett D'Amore, on June 5, 1994 and last modified on October 25, 1994. It is heavily derived from a similar program, called lprint, by the same author. He can be reached via Internet e-mail at garrett@sciences.sdsu.edu.

DISTRIBUTION
The latest version of vtprtoff is available as part of the vtprint package, and can be obtained by anonymous ftp at ftp.sdsu.edu in the /pub/vtprint directory. Please read the INDEX and README files before downloading.

If you do not have ftp availability, then you can request a uuencoded copy of vtprint be sent to you via e-mail from the author. The author is also willing to make other arrangements as needed, within certain limitations.

COPYRIGHT
vtprtoff is copyrighted 1994, by Garrett D'Amore. It may be freely redistributed or modified, so long as this and any other copyright notices are included in their original form with the program. The user is granted the right to use this program without limitation.

DISCLAIMER
vtprtoff is provided WITHOUT WARRANTY. The user agrees to indemnify the author from any claims of damage or loss arising from the use of or inability to use this program. In other words, USE AT YOUR OWN RISK!

FILES
/etc/vtprintcap

SEE ALSO
lpr(1), vtprint(1), vtprintcap(5)